## sphinx-reredirects 0.1.0+dfsg1

=== requirements.txt ===
sphinx
sphinx-documatt-theme

## sphinx-reredirects 0.0.0+git20220411

=== debian/changelog ===
sphinx-reredirects (0.0.0+git20220411-1) unstable; urgency=medium

  * new upstream version with few changes
  * updated debian/rules
  * added build-dependencies on python3-wheel, python3-pytest

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 11 Apr 2022 18:58:43 +0200

sphinx-reredirects (0.0.0+git20220326-2) unstable; urgency=medium

  * first release to debian/unstable (Closes: #1008307)

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 29 Mar 2022 20:06:06 +0200

sphinx-reredirects (0.0.0+git20220326-1) experimental; urgency=medium

  * Initial release (Closes: #1008307)

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 26 Mar 2022 14:47:59 +0100

=== debian/control ===
Source: sphinx-reredirects
Section: python
Priority: optional
Maintainer: Georges Khaznadar <georgesk@debian.org>
Build-Depends: debhelper-compat (= 13),
 dh-python,
 python3-all,
 python3-setuptools,
 python3-sphinx,
 python3-docutils,
 python3-wheel,
 python3-pytest,
 librsvg2-bin
Standards-Version: 4.6.0
Homepage: https://gitlab.com/documatt/sphinx-reredirects
Vcs-Browser: https://salsa.debian.org/debian/sphinx-reredirects
Vcs-Git: https://salsa.debian.org/debian/sphinx-reredirects.git
Rules-Requires-Root: no

Package: python3-sphinx-reredirects
Architecture: all
Depends: ${misc:Depends},
 ${python3:Depends}
Description: extension for Sphinx projects that handles redirects
 sphinx-reredirects is the extension for Sphinx documentation projects
 that handles redirects for moved pages. It generates HTML pages with
 meta refresh redirects to the new page location to prevent 404 errors
 if you rename or move your documents.
 .
 Good URLs are never changing URLs. But if you must,
 sphinx-reredirects helps you manage redirects with ease and from the
 single place in project's conf.py. For example, if you rename
 document start to intro, and tell it to sphinx-reredirects, it will
 generate HTML page start.html with
 <meta http-equiv="refresh" content="0; url=intro.html">.
 The extension supports wildcards and moving to different domain too.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_configure:
	# replace logo.png whose copyright and license is unclear upstream
	rsvg-convert --width 64 debian/arrow.svg > logo.png
	dh_auto_configure

override_dh_auto_clean:
	rm -f logo.png
	rm -f sphinx_reredirects.egg-info/*
	dh_auto_clean

## sphinx-reredirects 0.1.0+dfsg1

=== debian/changelog ===
sphinx-reredirects (0.1.0+dfsg1-1) unstable; urgency=medium

  * New upstream version 0.1.0+dfsg1
  * overrided dh_auto_test since there are no longer tests under the
    test/ directory since this version

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 31 May 2022 19:04:55 +0200

## sphinx-reredirects 0.1.1+dfsg1

=== debian/changelog ===
sphinx-reredirects (0.1.1+dfsg1-1) unstable; urgency=medium

  * New upstream version 0.1.1+dfsg1
  * bumped Standards-Version: 4.6.1

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 14 Jun 2022 14:19:43 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  python3-wheel,
  python3-pytest,
  librsvg2-bin
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://gitlab.com/documatt/sphinx-reredirects
 Vcs-Browser: https://salsa.debian.org/debian/sphinx-reredirects
 Vcs-Git: https://salsa.debian.org/debian/sphinx-reredirects.git

=== debian/rules ===
--- 
+++ 
@@ -26,3 +26,11 @@
 	rm -f logo.png
 	rm -f sphinx_reredirects.egg-info/*
 	dh_auto_clean
+
+override_dh_auto_test:
+	if [ -d tests ]; then \
+	  dh_auto_test; \
+	else \
+	  echo "there are no longer tests under the test/ directory"; \
+	  echo "since version (0.1.0)"; \
+	fi

=== debian/watch ===
version=4

opts="mode=git, gitmode=full, pgpmode=none, dversionmangle=s/\+dfsg\d*$//, repack, repacksuffix=+dfsg1, compression=gz" \
    https://gitlab.com/documatt/sphinx-reredirects.git \
    refs/tags/v([\d\.]+) \
    debian uupdate

## sphinx-reredirects 0.1.2+dfsg1

=== debian/changelog ===
sphinx-reredirects (0.1.2+dfsg1-2) unstable; urgency=medium

  * upload to unstable

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 11 Jun 2023 13:11:31 +0200

sphinx-reredirects (0.1.2+dfsg1-1) experimental; urgency=medium

  * New upstream version 0.1.2+dfsg1

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 29 May 2023 14:30:07 +0200

=== debian/rules ===
--- 
+++ 
@@ -24,7 +24,7 @@
 
 override_dh_auto_clean:
 	rm -f logo.png
-	rm -f sphinx_reredirects.egg-info/*
+	rm -f sphinx_reredirects.egg-info/* .eggs/*
 	dh_auto_clean
 
 override_dh_auto_test:
